gnutls_transport_set_int(3)

NAME
gnutls_transport_set_int - API function

SYNOPSIS
#include <gnutls/gnutls.h>

void gnutls_transport_set_int(gnutls_session_t session, int fd);

ARGUMENTS

gnutls_session_t session
    is a gnutls_session_t type.

int fd
    is the socket descriptor for the connection.

DESCRIPTION
This function sets the first argument of the transport function, such as send() and recv() for the default callbacks using the system's socket API.

This function is equivalent to calling gnutls_transport_set_ptr() with the descriptor, but requires no casts.

SINCE
3.1.9

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001-2023 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/